Skip to main content
`Ctrl`+`K`

# DMPlexTransformGetTransformTypes

Get the `DMLabel` marking the transform type of each point for the transform

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetTransformTypes(DMPlexTransform tr, DMLabel *trType)

## Input Parameter

- tr - The `DMPlexTransform` object

## Output Parameter

- trType - The `DMLabel` indicating the transform type for each point

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexSetTransformType()`, `DMPlexTransformGetActive()`, `DMPlexTransformApply()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages